<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use App\Entity\User;
use App\Form\UserType;

class SignUpController extends AbstractController
{
    #[Route('/sign_up', name: 'sign_up')]
    public function new(Request $request): Response
    {
        $user = new User();
        $form = $this->createForm(UserType::class, $user);
        
        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid()) {
            $user = $form->getData();

            return $this->redirectToRoute('sign_up_success');
        }

        return $this->renderForm('sign_up/index.html.twig', [
            'form' => $form,
        ]);
    }


}
